import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import T5LogoLight from './T5LogoLight';
import T5LogoDark from './T5LogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const T5LogoSvg = forwardRef(function T5LogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(T5LogoDark, Object.assign({}, props, { ref: ref })) : _jsx(T5LogoLight, Object.assign({}, props, { ref: ref }));
});
export default T5LogoSvg;
